FIND(3ast)

NAME
find - fastfind algorithm interface

SYNOPSIS
    #include <find.h>
    void* findopen(const char* pattern);
    char* findnext(void* handle);
    void findclose(void* handle);

DESCRIPTION
These routines access the data generated by the fastfind algorithm. The data itself is generated by a standalone program that is run daily via cron or at.

returns a handle to a fastfind stream for the ksh file pattern pattern. returns the next pathname that matches the pattern specified by handle. returns when no more pathnames match the pattern. Finally, closes the fastfind stream for handle.

BUGS
These routines are only as good as the fastfind information which is in the system administration domain.

SEE ALSO
tw(1), find(1), strmatch(3)
James A. Woods, Fast Find Algorithm, Usenix ;login:, February/March, 1983, p. 8